# LIST INVITATIONS

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
[ LIST | SHOW ] [ MY | PENDING ] INVITATIONS;
```

## Description <a href="#description" id="description"></a>

This command provides a list of [Access Control](/overview/core-concepts/access-control.md#organiation) invitations for the current user or organization using the `MY` and `PENDING` keywords, respectively.

`PENDING` invitations are listed only if current [Access Control](/overview/core-concepts/access-control.md#role) has [`MANAGE_MEMBERS`](/overview/core-concepts/access-control.md#privilege) privileges.

## Examples

#### List pending invitations for the current organization

```sh
demodb.public/demostore# LIST PENDING INVITATIONS;
+--------------------------------------+------------+-------------------------+-----------------------------+---------------------+---------------+-------------------------------+-------------------------------+
|  ID                                  |  Org Name  |  Email Address          |  Invited By                 |  User Roles         |  Default Role |  Created At                   |  Updated At                   |
+======================================+============+=========================+=============================+=====================+===============+===============================+===============================+
| 9439f004-a7e6-40f1-a6c9-d781777d17fc | test       | member_2@deltastream.io | team_manager@deltastream.io | useradmin, sysadmin | useradmin     | 2024-05-13 20:44:58 +0000 UTC | 2024-05-13 20:44:58 +0000 UTC |
+--------------------------------------+------------+-------------------------+-----------------------------+---------------------+---------------+-------------------------------+-------------------------------+
```

#### List organization invitations for the current user

```sh
<no-organization># LIST MY INVITATIONS;
+--------------------------------------+------------+----------------------------------+
|  ID                                  |  Org Name  |  Invited By                      |
+======================================+============+==================================+
| f4bf44f1-2f5a-41ea-96fd-b1f7dc4c6e93 | test       | team_manager@deltastream.io      |
+--------------------------------------+------------+----------------------------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/list-invitations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
